package RepositoryImpl

import Interface.AdminService
import data.features.authorize.model.User

class AdminServiceImpl : AdminService {
    private val users = mutableListOf<User>()

    override fun removeUserById(userId: Int): Boolean {
        val user = users.find { it.userId == userId }
        return if (user != null) {
            users.remove(user)
            true }
        else
        { false }
    }

    override fun getAllUsers(): List<User> {
        return users
    }

}



